TurboTax FAQ
TurboTax FAQ
9 people found this useful

What happens if I install TurboTax 2016 or 2017 on Windows Vista?

You won't be able to install TurboTax 2017 on Windows Vista as it requires version 7 or higher.

TurboTax 2016 can be installed on Vista with Service Pack 2+, but bear in mind that Microsoft no longer supports this operating system. More info

However, we will continue to support TurboTax 2016 installed on Vista, unless the problem is solely attributable to Vista itself.


GEN88068